List interviews

Returns a paginated list of interviews for the organization. Token scopes: ats:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

interviewer_hou_idslist of stringsOptional
Filter interviews by interviewer HRIS organization user IDs.
job_idslist of stringsOptional
Filter interviews by job IDs.
statuslist of enumsOptional
Filter interviews by status.
Allowed values:
candidate_idslist of stringsOptional
Filter interviews by candidate IDs.
date_range_startstringOptionalformat: "date-time"

Lower bound of interview start time (ISO 8601).

date_range_endstringOptionalformat: "date-time"

Upper bound of interview start time (ISO 8601).

updated_afterstringOptionalformat: "date-time"

Return interviews updated strictly after this ISO 8601 datetime (incremental sync).

sort_orderenumOptional

Order interviews by upcoming-first, newest-first, or oldest-first.

Allowed values:
cursorstringOptional
Pagination cursor returned by a previous response.
limitintegerOptional1-100
Maximum number of interviews to return per page.

Response

Paginated list of interviews
datalist of objects
Page of interviews.
has_moreboolean
Whether more pages are available beyond the current page.
next_cursorstring or null

Cursor to fetch the next page; null when there are no more pages.

total_countinteger
Total number of interviews matching the filters.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error